import { gameConfigurations } from "@/server/db/schema";
import { createTRPCRouter, protectedProcedure, publicProcedure } from "../trpc";
import { z } from "zod";
import { gameConfigPatchSchema } from "@/lib/validations/game";
import { eq } from "drizzle-orm";
import { ee } from "@/server/sse";

export const gameRouter = createTRPCRouter({
  // game sessions
  createGameSession: publicProcedure
    .input(z.object({ lobbyId: z.string() }))
    .query(async ({ ctx }) => {
      return null;
    }),
});
